# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]
### Fixed
- docker image: upgrade `cc1101` library to fix deadlock on SPI device file
  occurring when exception gets raised while entering `cc1101.CC1101`'s context

## [0.2.0] - 2021-02-08
### Added
- option `--power-setting`

## [0.1.0] - 2021-02-06
### Added
- MQTT client turning on and off [Intertechno Outlets](https://www.intertechno.at/)
  via a [CC1101 Transceiver](https://www.ti.com/product/CC1101)
  when receiving messages on topics `intertechno-cc1101/[ADDRESS]/[BUTTON_INDEX]/set`
  and `intertechno-cc1101/[ALIAS]/set` (if using `--alias-file`)
- automatic discovery in home assistant for all devices specified in `--alias-file aliases.json`

[Unreleased]: https://git.hammerle.me/fphammerle/intertechno-cc1101-mqtt/compare/v0.2.0...HEAD
[0.2.0]: https://git.hammerle.me/fphammerle/intertechno-cc1101-mqtt/compare/v0.1.0...v0.2.0
[0.1.0]: https://git.hammerle.me/fphammerle/intertechno-cc1101-mqtt/src/v0.1.0
